Bug 192702 - multilib -devel conflicts for libglade-java
Summary: multilib -devel conflicts for libglade-java
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libglade-java
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stepan Kasal
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: multilibdevel
TreeView+ depends on / blocked
 
Reported: 2006-05-22 18:05 UTC by Jeremy Katz
Modified: 2007-11-30 22:11 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2006-10-06 08:45:11 UTC


Attachments (Terms of Use)

Description Jeremy Katz 2006-05-22 18:05:27 UTC
The package contains conflicting -devel packages for multilib arches.

libglade-java-devel-2.12.3-0.i386.rpm
Preparing...                ##################################################
        file /usr/share/java/glade2.12-src-2.12.3.zip from install of libglade-j
ava-devel-2.12.3-0 conflicts with file from package libglade-java-devel-2.12.3-0

Comment 1 Ben Konrath 2006-06-14 04:25:39 UTC
Jeremy, the python script that checks for conflicts reports some files that are
marked with %doc as conflicting because these are generated with gjdoc and there
is a timestamp in a few of the files. Is rpm smart enough to work around files
in %doc or does this have to be fixed too? Thanks.

Comment 2 Jeremy Katz 2006-06-19 20:24:28 UTC
Nope, doc files can't conflict either.  

Comment 3 Ben Konrath 2006-10-03 21:38:34 UTC
The brp-java-repack-jars script, the updated zip creation and the updates to
gjdoc should fix this.

Stepan, I'm re-assigning this back to you so that you can test and rebuild for FC6.

Comment 4 Stepan Kasal 2006-10-06 08:45:11 UTC
The spec was fixed so that source zips are identical on all platforms.


Note You need to log in before you can comment on or make changes to this bug.